roger_cli(1)

NAME
roger_cli - this is the command line interface of Roger Router.

SYNOPSIS
roger_cli [OPTION...]

DESCRIPTION
roger_cli offers a clean solution for controlling the FRITZ!Box or compatible router from the command line with Linux. It can be used to print the current FRITZ!Box journal to the screen, initiate calls or send facsimiles.

OPTIONS
The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show help options.

-c, --call
    Initiate an outgoing call by softphone. Requires -n number to be given as well.

-s, --sendfax
    Initiate sending of a fax. Requires -f file (in PS or PDF format) and -n number to be given as well.

-j, --journal
    Show journal of incoming and outgoing calls on the screen.

-d, --debug
    Enable debug messages.

-n number, --number=number
    Remote telephone or fax number.

-f file, --file=file
    File name of a PDF or PostScript file containing the fax to send.

NOTES

Faxing
    If you want to use the capi fax function with Roger Router, you must enable capi-over-tcp within your FRITZ!Box with #96*3* and the user must be a member of the group fax.

Notifications
    If you want to use the incoming and outgoing call notification into Roger Router, you must enable this feature within your FRITZ!Box with #96*5*.

UPnP
    Please activate the UPnP support of your FRITZ!Box.

SEE ALSO
roger(1)

Website:
    http://www.tabos.org/home/

Forum:
    http://www.tabos.org/forum/

LICENSE
Copyright (c) 2009-2015 Jan-Michael Brummer <jan.brummer@tabos.org>

AUTHORS

Roger Router's active developers are:
    Jan-Michael Brummer (developer) <jan.brummer@tabos.org>

This manpage was written by:
    Jan-Michael Brummer <jan.brummer@tabos.org>
    Philipp Matthias Hahn <pmhahn@debian.org>
    Rolf Leggewie <foss@rolf.leggewie.biz>